version: "3.9"

services:
  php:
    build:
      context: .
      pull: true
    depends_on:
      - database
    restart: unless-stopped
    environment:
      BASE_PATH: ${BASE_PATH:-/}
      POSTGRES_USER: ${POSTGRES_USER:-app}
    working_dir: /srv/api

###> doctrine/doctrine-bundle ###
  database:
    build:
      context: .
      dockerfile: Dockerfile-db
      args:
        POSTGRES_VERSION: ${POSTGRES_VERSION:-14}
    environment:
      POSTGRES_DB: ${POSTGRES_DB:-app}
      # You should definitely change the password in production
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD:-!ChangeMe!}
      POSTGRES_USER: ${POSTGRES_USER:-app}
    healthcheck:
      test: ["CMD", "pg_isready", "-d", "${POSTGRES_DB:-app}", "-U", "${POSTGRES_USER:-app}"]
      timeout: 5s
      retries: 5
      start_period: 60s
    volumes:
      - db-data:/var/lib/postgresql/data:rw
    tty: true
###< doctrine/doctrine-bundle ###

volumes:

###> doctrine/doctrine-bundle ###
  db-data:
###< doctrine/doctrine-bundle ###
